> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 每日消耗

> 返回当前计费周期内的每日消耗情况

需要 Enterprise 管理员的个人 API key。

返回你所在 Enterprise 在当前计费周期内按日期和组织划分的每日 ACU 消耗数据。

<div id="timezone-behavior">
  ## 时区行为
</div>

计费周期以 **PST（太平洋标准时间）午夜** 作为每天的边界时间，对应 **08:00:00 UTC**。要与 Devin 仪表板中显示的用量数据保持一致，你必须传入带有此时区偏移的时间戳。

例如，要查询从 2025 年 12 月 5 日到 2026 年 1 月 5 日这一计费周期的用量：

```bash theme={null}
curl "https://api.devin.ai/v2/enterprise/consumption/daily?start_date=2025-12-05T08:00:00Z&end_date=2026-01-05T08:00:00Z" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

如果你传入的日期没有带上 `T08:00:00Z` 后缀（例如 `2025-12-05`），API 将使用 UTC 当天的零点时间，这可能会导致与仪表盘上显示的用量总计略有差异。

<div id="filtering-by-organization">
  ## 按组织过滤
</div>

当按 `org_ids` 进行过滤时，结果中只会包含 Devin 会话的 ACU 使用量。由 Cascade 和 Terminal 消耗的 ACU 不会包含在内，因为这些产品的使用情况不与任何组织关联。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /v2/enterprise/consumption/daily
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/daily:
    get:
      tags:
        - consumption
      summary: 每日消耗端点
      description: >-
        返回当前计费周期内的每日用量。


        **时区行为**：计费周期以太平洋标准时间（PST）午夜作为日期边界，对应为 UTC 时间 08:00:00。要与 Devin
        控制台中显示的用量数据保持一致，请在传入时间戳参数时使用该时区偏移（例如，将 2025 年 12 月 5 日 PST 表示为
        `2025-12-05T08:00:00Z`）。
      operationId: daily_consumption_endpoint_v2_enterprise_consumption_daily_get
      parameters:
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionResponse'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    ConsumptionResponse:
      properties:
        consumption_by_date:
          additionalProperties:
            type: number
          propertyNames:
            format: date
          title: Consumption By Date
          type: object
        consumption_by_org_id:
          additionalProperties:
            type: number
          title: Consumption By Org Id
          type: object
        consumption_by_user:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Consumption By User
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
        - consumption_by_org_id
      title: ConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````